> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /consumeraffairs/brands

> Get ConsumerAffairs (consumeraffairs.com) brand profile by 'category/alias' or full brand URL

**Price:** 10 credits

**⚠️ Common errors:** 412: Brand not found



## OpenAPI

````yaml /openapi/reviews-consumer-business.json post /api/consumeraffairs/brands
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/consumeraffairs/brands:
    post:
      tags:
        - /consumeraffairs
      summary: /consumeraffairs/brands
      description: >-
        Get ConsumerAffairs (consumeraffairs.com) brand profile by
        'category/alias' or full brand URL


        **Price:** 10 credits


        **⚠️ Common errors:** 412: Brand not found
      operationId: __api_consumeraffairs_brands_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsumeraffairsBrandsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ConsumeraffairsBrand'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConsumeraffairsBrandsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        brand:
          type: string
          minLength: 1
          pattern: >-
            ^(?:https?://[^\s]+|//[^\s]+|(?:www\.|consumeraffairs\.com)[^\s]*|/?[a-z0-9][a-z0-9-]*/[a-z0-9][a-z0-9._-]*(?:\.html)?)$
      type: object
      required:
        - brand
    ConsumeraffairsBrand:
      properties:
        '@type':
          type: string
          default: ConsumeraffairsBrand
        name:
          type: string
        alias:
          type: string
        category:
          type: string
        url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_accredited:
          anyOf:
            - type: boolean
            - type: 'null'
        address_country:
          anyOf:
            - type: string
            - type: 'null'
        category_name:
          anyOf:
            - type: string
            - type: 'null'
        category_url:
          anyOf:
            - type: string
            - type: 'null'
        company:
          anyOf:
            - $ref: '#/components/schemas/ConsumeraffairsBrandCompany'
            - type: 'null'
        faqs:
          items:
            $ref: '#/components/schemas/ConsumeraffairsBrandFaq'
          type: array
          default: []
      type: object
      required:
        - name
        - alias
        - category
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ConsumeraffairsBrandCompany:
      properties:
        '@type':
          type: string
          default: ConsumeraffairsBrandCompany
        name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        founding_year:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        facebook_url:
          anyOf:
            - type: string
            - type: 'null'
        twitter_url:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ConsumeraffairsBrandFaq:
      properties:
        '@type':
          type: string
          default: ConsumeraffairsBrandFaq
        question:
          type: string
        answer:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - question
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````